Page MenuHomePhabricator

Create staging-mw-app* (MW App servers)
Closed, DeclinedPublic

Details

Related Gerrit Patches:
operations/puppet : productionAllow override of sync_common config

Event Timeline

greg created this task.Mar 4 2015, 8:03 PM
greg raised the priority of this task from to Medium.
greg updated the task description. (Show Details)
greg added a project: Staging.
greg added subscribers: thcipriani, Aklapper, demon and 3 others.

Most of the role::mediawiki::appserver seems to work without alteration.

One problem is sync_common running in ::mediawiki::scap.

Scap's ini config assumes anything running in wmflabs should use deployment-bastion.eqiad.wmflabs as the master_rsync. There seem to be a couple of problems with this, the largest of which is either (a) This won't work for testing deploys in staging or (b):

thcipriani@staging-mw01:~$ nc -vz deployment-bastion.eqiad.wmflabs -w 1 873
nc: connect to deployment-bastion.eqiad.wmflabs port 873 (tcp) timed out: Operation now in progress

There was a local hack on staging-tin to deal with this: setting an rsync_master for the hostname staging-tin.eqiad.wmflabs in the scap.cfg ini

We'll need to pass this info in via hiera, I'd expect.

Change 198173 had a related patch set uploaded (by Thcipriani):
Allow override of sync_common config

https://gerrit.wikimedia.org/r/198173

thcipriani moved this task from Backlog to In Progress on the Staging board.Mar 20 2015, 1:16 AM

Got some warnings setting up first app server. I think most of this will go away with T1256 :

Warnings:

  1. wikispecies.conf – live handles this in redirect.conf and remnant.conf which ultimately handles it via wikimedia-common.inclDocumentRoot "/srv/mediawiki/docroot/wikimedia.org"—main problem in staging is that there is no "/srv/mediawiki/docroot/wikispecies.org" which is the current specified docroot in beta
  2. /mnt/upload7 – doesn't currently exist on any beta instance(?) is defined as the docroot of upload.beta.wmflabs.org, this will be replaced by swift I'm assuming
  3. /srv/mediawiki/docroot/config – Also doesn't currently exist on any beta instance. Docroot of config.beta.wmflabs.org
  4. /data/project/logs – defined in beta/logging.conf
thcipriani moved this task from In Progress to Backlog on the Staging board.May 27 2015, 3:04 PM

Change 198173 abandoned by Thcipriani:
Allow override of sync_common config

Reason:
Recent scap changes have made this unnecessary.

https://gerrit.wikimedia.org/r/198173

demon closed this task as Declined.Apr 26 2016, 4:11 PM